STRUCT CCWGROUP_DEVI(9)

NAME
struct_ccwgroup_device - ccw group device

SYNOPSIS

struct ccwgroup_device {
  enum state;
  unsigned int count;
  struct device dev;
  struct work_struct ungroup_work;
  struct ccw_device * cdev[0];
};

MEMBERS

state
    online/offline state

count
    number of attached slave devices

dev
    embedded device structure

ungroup_work
    work to be done when a ccwgroup notifier has action type BUS_NOTIFY_UNBIND_DRIVER

cdev[0]
    variable number of slave devices, allocated as needed

AUTHOR

Cornelia Huck <cornelia.huck@de.ibm.com>
    Author.

COPYRIGHT